/*-
 * Copyright (c) 2008  Marin Atanasov  <dnaeon@gmail.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */


# ifndef __pkg_add_it_h_
# define __pkg_add_it_h_

# ifndef __fnode_h_
   # include "fnode.h"
# endif  /* ! ifndef __fnode_h_ ! */

# ifndef __scan_directory_h_
   # include "scan_directory.h"
# endif  /* ! ifndef __scan_directory_h_ */

/* program defines */
# define PROGNAME    "pkg_add_it"
# define PROGVERS    "1.0"
# define PROGDESC    "pkg_add interactive tool"

/* commands used for local and remote installing */
# define CMDLOCAL    "/usr/sbin/pkg_add"
# define CMDREMOTE   "/usr/sbin/pkg_add -r"

/* define functions parameters as macros */
# define USAGEARGS      void
# define INSTALLCMDARGS fnode_t *pkgfile, bool_t local

void     usage (USAGEARGS);
void     install_cmd (INSTALLCMDARGS);

# endif  /* ! ifndef __pkg_add_it_h_ ! */
